using CFX;
using CFX.ResourcePerformance;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 错误收到事件
    /// </summary>
    public class FaultAcknowledgedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle()
        {
            CFXMessage eve = null;
            try
            {
                eve = new FaultAcknowledged()
                {
                    Operator = new Operator()
                    {
                        ActorType = ActorType.Human,
                        FirstName = "王",
                        LastName = "晟睿",
                        LoginName = "admin",
                        OperatorIdentifier = "OP-1000"
                    },
                    FaultOccurrenceId = Guid.Parse("281fa09f-cbf6-498d-9f27-7ca77cb60399")
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
